"use strict";

var React = _interopRequireWildcard(require("react"));

var _snippet = require("@segment/snippet");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

// analytics.js stub
var devShim = "\n  (function() {\n    const analytics = (window.analytics = {})\n    const methods = [\n      \"trackSubmit\", \"trackClick\", \"trackLink\", \"trackForm\",\n      \"pageview\", \"identify\", \"reset\", \"group\", \"ready\",\n      \"alias\", \"debug\", \"page\", \"once\", \"off\", \"on\",\n    ]\n\n    methods.forEach(\n      method =>\n        (analytics[method] = (...args) =>\n          console.log(\"analytics.\" + method, ...args))\n    )\n\n    analytics.track = (event, properties, options, callback) => {\n      console.log(\"analytics.track\", event, properties)\n      setTimeout(callback, 300)\n    }\n  })()\n";

exports.onRenderBody = function (_ref, options) {
  var setHeadComponents = _ref.setHeadComponents;
  var writeKey = options.writeKey;
  var trackingSnippet = process.env.NODE_ENV === "production" ? (0, _snippet.min)({
    apiKey: writeKey,
    page: false
  }) : devShim.toString();
  setHeadComponents([React.createElement("script", {
    key: "plugin-segment-analytics-js",
    dangerouslySetInnerHTML: {
      __html: trackingSnippet
    }
  })]);
};